adb shell parted /dev/block/mmcblk0 print
@set /p cachepart= "Insert cache part number (Example: 14): "
@set /p datapart= "Insert userdata part number (Example: 15): "
@set /p cacheinit= "Set the normal cache init (Example 1409): "
@set /p cachesize="Set the NEW cache size (If you choose 100 for 100mb, 200 for 200mb etc): "
@set /p dataend="Set the ACTUAL userdata END: "
@set /a cacheend= %cacheinit% + %cachesize
@set /a datasize= %dataend% - %cacheend%
@CHOICE /M "Is this correct? userdata = %datasize%MB cache = %cachesize%MB"
@CHOICE /M "Continue? this will FORMAT your device"
adb shell parted /dev/block/mmcblk0 rm %cachepart%
@echo *cache partition removed*
adb shell parted /dev/block/mmcblk0 mkpartfs primary ext2 %cacheinit% %cacheend%
adb shell parted /dev/block/mmcblk0 name %cachepart% cache
@echo *cache partiton recreated*
adb shell tune2fs -O dir_index,has_journal,uninit_bg /dev/block/mmcblk0p%cachepart%
adb shell e2fsck -pf /dev/block/mmcblk0p%cachepart%
adb shell tune2fs -O extents,uninit_bg,dir_index /dev/block/mmcblk0p%cachepart%
adb shell e2fsck -pf /dev/block/mmcblk0p%cachepart%
@echo *partition cache is now resized and ex4*
adb shell parted /dev/block/mmcblk0 rm %datapart%
@echo *partition data removed*
adb shell parted /dev/block/mmcblk0 mkpartfs primary ext2 %cacheend% %dataend%
adb shell parted /dev/block/mmcblk0 name %datapart% userdata
@echo *userdata partiton recreated*
adb shell tune2fs -O dir_index,has_journal,uninit_bg /dev/block/mmcblk0p%datapart%
adb shell e2fsck -pf /dev/block/mmcblk0p%datapart%
adb shell tune2fs -O extents,uninit_bg,dir_index /dev/block/mmcblk0p%datapart%
adb shell e2fsck -pf /dev/block/mmcblk0p%datapart%
@echo *userdata partition is now resized and ext4*
@echo *To view the partition table press any key*
pause
adb shell parted /dev/block/mmcblk0 print
pause